Subject: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Paul Pogonyshev <[email-masked]>
Date: Tue, 13 Jul 2021 23:16:44 +0200

Zipping binary data was not a good idea, but at least string "PK" doesn't
come from the archived "random.bin". You can create another test `.zip'
file by archiving a text file, to be sure.

Paul

On Tue, 13 Jul 2021 at 23:12, Paul Pogonyshev <[email-masked]> wrote:

> $ emacs -Q random.zip
>
> 1. Switch to buffer "*scratch*"
> 2. Type "P" (without quotes)
> 3. Press M-/
> 4. Here it finds expansion "PK" from buffer "random.zip".  Cycling
>    with M-/ finds a few more, which are more binary-like.
>
> On Tue, 13 Jul 2021 at 21:14, Lars Ingebrigtsen <[email-masked]> wrote:
>
>> Paul Pogonyshev <[email-masked]> writes:
>>
>> > Apparently not from tarballs anymore, but still e.g. from a `.zip'
>> > archive. Though I have Emacs 27.1 here, not 28.
>>
>> I tried visiting a zip file here now (in Emacs 27.1), but I was unable
>> to make dabbrev-expand expand to any of the strings in the raw zip file.
>>
>> Do you have a recipe, starting from "emacs -Q", to reproduce the bug?
>> (Including a test zip file, I guess.)
>>
>> --
>> (domestic pets only, the antidote for overdose, milk.)
>>    bloggy blog: http://lars.ingebrigtsen.no
>>
>